﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace XDGNullableDateTimeGroupSort
{
    public class ViewModel
    {
        public ObservableCollection<SampleData> Data { get; set; }        

        List<DateTime> dates = new List<DateTime>()
        {
            new DateTime(2015, 1, 1),
            new DateTime(2016, 1,1),
            new DateTime(2017, 1, 1),
            new DateTime(2016, 1, 2),
            new DateTime(2016, 1, 3)
        };

        public ViewModel()
        {
            Data = new ObservableCollection<SampleData>();

            for (int i = 0; i < dates.Count; i++)
            {
                Data.Add(new SampleData()
                {                    
                    NotNullableDate = dates[i],
                    NullableDate = dates[i],                    
                });
            }


            Data.Insert(3, new SampleData() { NotNullableDate = DateTime.Today, NullableDate = null });

        }
    }

    public class SampleData
    {
        public DateTime NotNullableDate { get; set; }
        public DateTime? NullableDate { get; set; }
    }
}
